# spec/simplewoo/client/match_spec.rb
require "spec_helper"

describe Simplewoo::Client do
  before do
    Simplewoo.reset!
    Simplewoo.configure do |client|
      client.app_secret = "app_secret"
      client.api_server_host = "api.woofound.com"
      client.ssl = true
    end
  end

  before(:each) do
    stub_woo(:get, "/sliders/1/match", 200, ":some_token@", "match")
  end

  describe ".match" do
    let(:client) { Simplewoo::Client.new(:api_token => "some_token") }

    it "returns the entities matched to the authenticated user" do
      expect(client.match(1)).to respond_to(:entities)
    end
  end
end
